View Issue Details

IDProjectCategoryView StatusLast Update
0020348mantisbtsub-projectspublic2016-06-12 00:43
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.3.0-beta.3 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020348: Provide an option to disable sub-projects
Description

It should be possible for an administrator to disable the use of sub-projects.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 83cfb1da

2015-12-05 18:41:10

vboctor


Committer: vboctoradmin Details Diff
Provide config option to disable subprojects

This will keep the feature enabled by default. However, it provides the ability to disable this feature so it won't be used by managers and administrators.

Fixes 0020348
mod - config_defaults_inc.php Diff File
mod - core/print_api.php Diff File
mod - docbook/Admin_Guide/en-US/config/subprojects.xml Diff File
mod - manage_proj_edit_page.php Diff File
mod - manage_proj_subproj_add.php Diff File
mod - manage_proj_subproj_delete.php Diff File
mod - manage_proj_update_children.php Diff File

Issue History

Date Modified Username Field Change
2015-12-05 18:05 vboctor New Issue
2015-12-05 18:42 vboctor Assigned To => vboctor
2015-12-05 18:42 vboctor Status new => assigned
2015-12-05 18:42 vboctor Note Added: 0052022
2015-12-09 22:35 vboctoradmin Changeset attached => MantisBT master 83cfb1da
2015-12-09 22:35 vboctoradmin Assigned To vboctor => vboctoradmin
2015-12-09 22:35 vboctoradmin Status assigned => resolved
2015-12-09 22:35 vboctoradmin Resolution open => fixed
2015-12-09 22:35 vboctoradmin Fixed in Version => 1.3.0-rc.2
2015-12-09 22:55 vboctor Target Version => 1.3.0-rc.2
2015-12-09 22:58 vboctor Assigned To vboctoradmin => vboctor
2016-06-12 00:43 vboctor Status resolved => closed